## mpdcron 0.3%2Bgit20110303

=== debian/changelog ===
mpdcron (0.3+git20110303-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:35:30 +0000

mpdcron (0.3+git20110303-6) unstable; urgency=medium

  * Move git repository to collab-maint

 -- Sebastien Delafond <seb@debian.org>  Thu, 25 Sep 2014 14:07:39 +0200

mpdcron (0.3+git20110303-5) unstable; urgency=medium

  * Bump-up Standards-Version
  * Move to debian/compat 9

 -- Sebastien Delafond <seb@debian.org>  Thu, 25 Sep 2014 13:53:52 +0200

mpdcron (0.3+git20110303-4) unstable; urgency=low

  * Fix missing dependency (Closes: #707791)

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 May 2013 17:09:30 +0200

mpdcron (0.3+git20110303-3) unstable; urgency=low

  * Bumped-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 05 Oct 2011 11:08:42 +0200

mpdcron (0.3+git20110303-2) unstable; urgency=low

  * Remove .la files (Closes: #622429)

 -- Sebastien Delafond <seb@debian.org>  Thu, 14 Apr 2011 18:39:51 +0200

mpdcron (0.3+git20110303-1) unstable; urgency=low

  * New upstream version (Closes: #615066).
  * Removed extraneous patch.
  * Document new upstream origin for this release.
  * Add Vcs-* info.
  * Bump up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Thu, 03 Mar 2011 19:02:14 +0100

mpdcron (0.3+git20100803-1) unstable; urgency=low

  * New upstream release (Closes: #573805).
  * Build against libcurl4-gnutls-dev (Closes: #588230).
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 03 Aug 2010 20:22:18 +0200

mpdcron (0.3+git20100302-1) unstable; urgency=low

    * Initial release (Closes: #572263).
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 02 Mar 2010 20:07:00 +0100

## mpdcron 0.3+git20100302

=== conf/modules/Makefile ===
# Makefile for example module
example.so: example.c
	$(CC) -fPIC -shared -Wall -W -Wextra \
		$(CFLAGS) $(LDFLAGS) \
		$(shell pkg-config --cflags --libs glib-2.0) \
		$(shell pkg-config --cflags --libs libdaemon) \
		$(shell pkg-config --cflags --libs libmpdclient) \
		$< -o $@
clean:
	rm example.so || true
install:
	install -m644 -s example.so ~/.mpdcron/modules

=== debian/control ===
Source: mpdcron
Section: sound
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: lintian, debhelper (>= 7.0.50~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-openssl-dev | libcurl-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
Standards-Version: 3.8.4
Homepage: http://alip.github.com/mpdcron
Vcs-Git: git://github.com/alip/mpdcron.git
Vcs-Browser: http://github.com/alip/mpdcron

Package: mpdcron
Architecture: any
Depends: libnotify-bin, ruby, libnokogiri-ruby, ${shlibs:Depends}, ${misc:Depends}
Suggests: mpd
Description: add scrobbler, rating, play counts and other functionalities to MPD
 mpdcron is a daemon that watches a Music Player Daemon instance for idle
 states and execs commands triggered by specific states.
 .
  * Uses mpd's idle mode.
  * Calls hooks depending on the event.
  * Sets special environment variables to pass data to the hooks.
  * Optional support for modules via GModule.                                                                   
  * Included modules:
    - notification
      + uses notify-send to send notifications.
      + can detect repeated songs.
    - scrobbler
      + uses curl to submit songs to Last.fm or Libre.fm
    - stats
      + module saves song data to a sqlite database
      + supports loving, killing, rating and tagging songs, artists,
        albums and genres.
      + tracks play count of songs, artist, albums and genres.
      + implements a simple server protocol for remote clients to
        receive data.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with=quilt $@

override_dh_auto_clean:
	dh_auto_clean
	# nasty...
	rm -f config.guess config.h.in config.sub configure \
	      data/Makefile.in depcomp install-sh ltmain.sh \
	      m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 \
	      m4/ltversion.m4 m4/lt~obsolete.m4 missing \
	      src/Makefile.in src/gmodule/Makefile.in \
	      src/gmodule/notification/Makefile.in \
	      src/gmodule/scrobbler/Makefile.in \
	      src/gmodule/stats/Makefile.in \
	      zsh-completion/Makefile.in 

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --with-standard-modules=all --enable-gmodule --prefix=/usr

## mpdcron 0.3+git20100803

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: lintian, debhelper (>= 7.0.50~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-openssl-dev | libcurl-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
-Standards-Version: 3.8.4
+Build-Depends: lintian, debhelper (>= 7.0.50~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-gnutls-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
+Standards-Version: 3.9.0
 Homepage: http://alip.github.com/mpdcron
-Vcs-Git: git://github.com/alip/mpdcron.git
-Vcs-Browser: http://github.com/alip/mpdcron
 
 Package: mpdcron
 Architecture: any

## mpdcron 0.3+git20110303

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: lintian, debhelper (>= 7.0.50~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-gnutls-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://alip.github.com/mpdcron
+Vcs-Git: git://github.com/sdelafond/mpdcron.git
+Vcs-Browser: https://github.com/sdelafond/mpdcron
 
 Package: mpdcron
 Architecture: any
-Depends: libnotify-bin, ruby, libnokogiri-ruby, ${shlibs:Depends}, ${misc:Depends}
+Depends: libnotify-bin, ruby, ruby-nokogiri, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mpd
 Description: add scrobbler, rating, play counts and other functionalities to MPD
  mpdcron is a daemon that watches a Music Player Daemon instance for idle

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 	      src/gmodule/stats/Makefile.in \
 	      zsh-completion/Makefile.in 
 
+override_dh_install:
+	rm -rf $(CURDIR)/debian/mpdcron/usr/lib/mpdcron-0.3/modules/*.la
+
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure -- --with-standard-modules=all --enable-gmodule --prefix=/usr

=== debian/watch ===
version=3

http://githubredir.debian.net/github/alip/mpdcron /v(.*).tar.gz

## mpdcron 0.3+git20161228

=== conf/modules/Makefile ===
# Makefile for example module
example.so: example.c
	$(CC) -fPIC -shared -Wall -W -Wextra \
		$(CFLAGS) $(LDFLAGS) \
		$(shell pkg-config --cflags --libs glib-2.0) \
		$(shell pkg-config --cflags --libs libmpdclient) \
		$< -o $@
clean:
	rm example.so || true
install:
	install -m644 -s example.so ~/.mpdcron/modules
uninstall:
	rm ~/.mpdcron/modules/example.so || true

=== debian/changelog ===
mpdcron (0.3+git20161228-3) unstable; urgency=medium

  * Update debian/watch

 -- Sebastien Delafond <seb@debian.org>  Fri, 06 Apr 2018 15:12:37 +0200

mpdcron (0.3+git20161228-2) unstable; urgency=medium

  * Correct debian/watch URL

 -- Sebastien Delafond <seb@debian.org>  Fri, 06 Apr 2018 08:12:58 +0200

mpdcron (0.3+git20161228-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Apr 2018 15:12:41 +0200

mpdcron (0.3+git20110303-7) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Switch to machine-readable copyright

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Apr 2018 14:48:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: sound
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: lintian, debhelper (>= 7.0.50~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-gnutls-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
-Standards-Version: 3.9.2
-Homepage: http://alip.github.com/mpdcron
-Vcs-Git: git://github.com/sdelafond/mpdcron.git
-Vcs-Browser: https://github.com/sdelafond/mpdcron
+Build-Depends: lintian, debhelper (>= 9~), libmpdclient-dev (>= 2.1), libdaemon-dev, libglib2.0-dev, libcurl4-gnutls-dev, libsqlite3-dev, libnotify-bin, quilt, automake, libtool
+Standards-Version: 4.1.3
+Homepage: https://github.com/alip/mpdcron
+Vcs-Git: https://salsa.debian.org/debian/mpdcron.git
+Vcs-Browser: https://salsa.debian.org/debian/mpdcron
 
 Package: mpdcron
 Architecture: any
@@ -19,7 +19,7 @@
   * Uses mpd's idle mode.
   * Calls hooks depending on the event.
   * Sets special environment variables to pass data to the hooks.
-  * Optional support for modules via GModule.                                                                   
+  * Optional support for modules via GModule.
   * Included modules:
     - notification
       + uses notify-send to send notifications.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with=quilt $@
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -14,10 +14,11 @@
 	      src/gmodule/notification/Makefile.in \
 	      src/gmodule/scrobbler/Makefile.in \
 	      src/gmodule/stats/Makefile.in \
-	      zsh-completion/Makefile.in 
+	      zsh-completion/Makefile.in
 
 override_dh_install:
-	rm -rf $(CURDIR)/debian/mpdcron/usr/lib/mpdcron-0.3/modules/*.la
+	find $(CURDIR)/debian/mpdcron/ -name *.la -exec rm {} \;
+	find $(CURDIR)/debian/mpdcron/ -name *.a -exec rm {} \;
 
 override_dh_auto_configure:
 	./autogen.sh

=== debian/watch ===
version=3

https://github.com/alip/mpdcron/tags .*/v(.*).tar.gz debian uupdate
